From 44200a64f3fd5843c5041d13d66ac89e0d44bb8a Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Wed, 5 Mar 2025 16:21:40 -0500
Subject: [PATCH v1] valgrind: Adjust suppressions to handle glibc changes

In newer glibc versions two additional functions appear between
send() and socketcall.send(msg):
   fun:__internal_syscall_cancel
   fun:__syscall_cancel
Due to that our existing suppression do not work anymore.

The problematic suppressions are only in < 15, as they aren't needed after
5891c7a8ed8.

Author:
Reviewed-by:
Discussion: https://postgr.es/m/
Backpatch-through: 13
---
 src/tools/valgrind.supp | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/tools/valgrind.supp b/src/tools/valgrind.supp
index e3a179d210b..6caf8593211 100644
--- a/src/tools/valgrind.supp
+++ b/src/tools/valgrind.supp
@@ -19,6 +19,7 @@
 	Memcheck:Param
 	socketcall.send(msg)
 
+	...
 	fun:*send*
 	fun:pgstat_send
 }
@@ -28,6 +29,7 @@
 	Memcheck:Param
 	socketcall.sendto(msg)
 
+	...
 	fun:*send*
 	fun:pgstat_send
 }
-- 
2.48.1.76.g4e746b1a31.dirty

